macaulay2 (1.19.1+ds-9) unstable; urgency=medium

  * debian/tests/control
    - Mark package-tests as flaky since it regularly times out on armhf
      (Closes: #1010453).

 -- Doug Torrance <dtorrance@debian.org>  Sun, 01 May 2022 20:14:15 -0400

macaulay2 (1.19.1+ds-8) unstable; urgency=medium

  * debian/tests/control
    - Add 4ti2, gfan, and normaliz to Depends for core-tests
      (Closes: #1010172).

 -- Doug Torrance <dtorrance@debian.org>  Mon, 25 Apr 2022 14:14:15 -0400

macaulay2 (1.19.1+ds-7) unstable; urgency=medium

  * debian/gbp.conf
    - Switch to "debian/latest" for Debian branch; recommended by DEP-14.
  * debian/macaulay2-common.links
    - New file; use dh_link to create symlinks to GPL text for docs.
  * debian/macaulay2-common.linktree
    - Stop using dh_linktree for creating symlinks to GPL text for docs;
      was creating unnecessary versioned dependency on base-files
      (Closes: #1009838).
  * debian/patches/skip-failing-package-tests.patch
    - Skip new failing package tests:
      + check(4, "ThreadedGB"); failing on ppc64el.
      + check({25, 31}, "AssociativeAlgebras"); failing  on ppc64el
        (Closes: #1010096).
  * debian/scripts/m2-get-orig-source.sh
    - Run missingPackages() when --merge option is given to see if any new
      packages should be added to d/copyright.
  * debian/tests/control
    - Split each "M2 --check n" into its own separate test.
    - Use "macaulay2" instead of "@" in Depends since we don't need
      elpa-macaulay2.
    - Add test names.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 24 Apr 2022 21:05:14 -0400

macaulay2 (1.19.1+ds-6) unstable; urgency=medium

  * debian/control
    - Exclude python3-dev from Build-Depends with nopython build profile.
  * debian/macaulay2-common.install
    - Install make-M2-symbols.m2; generates files for syntax highlighting
      in Emacs, Pygments, etc.
  * debian/patches/skip-failing-package-tests.patch
    - Properly skip tests marked "no-check-architecture".
  * debian/patches/tbb-2021.patch
    - New patch; add support for TBB 2021.
  * debian/patches/use-dh-elpa.patch
    - Fix path to M2-emacs-help.txt in documentation.
  * debian/rules
    - Don't build with Python support with "nopython" build profile.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 11 Feb 2022 11:25:09 -0500

macaulay2 (1.19.1+ds-5) unstable; urgency=medium

  * debian/control
    - Remove w3c-markup-validator from Build-Depends-Indep; it is only used
      for validating the html documentation, which we are currently
      skipping.
    - Add phcpack to Suggests.
  * debian/README.Debian
    - Add blurb about phcpack to "Suggested packages" section.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 27 Jan 2022 11:42:39 -0500

macaulay2 (1.19.1+ds-4) unstable; urgency=medium

  * debian/patches/givaro-bool-constant.patch
    - New patch; fix "'givaro_bool_constant' does not name a type" error
      when building with givaro 4.2.0 and fflas-ffpack 2.5.0, which are
      now in Debian.
  * debian/rules
    - Make dump directories inside the dump file targets instead of their
      own; fixes strange "unlink" message that was appearing in the build
      logs.
  * debian/scripts/m2-get-orig-source.sh
    - Make the repack suffix a variable.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 19 Dec 2021 07:29:32 -0500

macaulay2 (1.19.1+ds-3) unstable; urgency=medium

  * debian/control
    - Add versioned dependency on libsingular4-dev; configure script will
      fail if < 4.2.0 is found.  For this reason, we can't depend on
      the virtual package libsingular-dev any more.
    - Add gdbmtool and faketime to Build-Depends-Indep; needed for
      generating reproducible dumps of the documentation database files.
    - Add gdbmtool to Depends for macaulay2; needed for new postinst
      script.
  * debian/macaulay2.install
    - Stop installing files in /usr/lib; no longer necessary now that we
      will generate package documentation databases during postinst.
  * debian/macaulay2.postinst
    - New file; load package documentation databases from dump files after
      installation.
  * debian/macaulay2.prerem
    - New file; remove directories containing package documentation
      databases that were created during postinst.
  * debian/patches/allow-older-factory.patch
    - Remove patch; no longer necessary as singular 4.2.1 is now in Debian.
  * debian/patches/skip-failing-core-tests.patch
    - Fix ComputationsBook::varieties test instead of skipping it.
  * debian/rules
    - Append -indep to execute_before_dh_auto_build target; we only need
      the dummy KaTeX files and cached examples when building the
      documentation.
    - New override_dh_auto_build target; only build documentation when
      building macaulay2-common.
    - Append -indep to execute_after_dh_auto_install target; the cached
      example directories will only exist and need to be removed when
      building the documentation.
    - Also in execute_after_dh_auto_install, create dumps of package
      documentation to ship with macaulay2-common and then load during
      postinst and then remove the database files.
    - Remove execute_after_dh_install-arch target; empty directory is now
      removed with the package documentation database after they're dumped.
    - Exclude database dump files from dh_compress.
    - Add override_dh_installdeb target to substitute variables in new
      maintainer scripts.
  * debian/salsa-ci.yml
    - Stop allowing reprotest to fail; the parts of the package that are
      built on Salsa are now reproducible.
    - Allow autopkgtest to fail; the new test requires the documentation to
      be built, which doesn't happen on Salsa.
  * debian/scripts/Debian.m2
    - Stop caching almost all examples; since we won't be building them on
      non-amd64 architectures, we should see far fewer failures.
    - Add new "skipTestArch" function to skip tests only on a particular
      architecture.
  * debian/scripts/m2-get-orig-source.sh
    - Update string to grep for when "quilt push" fails.
  * debian/tests/check-doc-db.m2
    - New CI test for autopkgtest; test that the documentation database can
      be loaded.
  * debian/upstream/metadata
    - Add "---" to signal document start.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 14 Dec 2021 21:24:21 -0500

macaulay2 (1.19.1+ds-2) unstable; urgency=medium

  * debian/*
    - Update my email address; now a Debian Developer.
  * debian/patches/skip-failing-package-tests.patch
    - Skip check(3, "K3Surfaces"); failing on s390x.
  * debian/rules
    - Stop setting IgnoreExampleErrors to true on certain architectures;
      most example issues seem to have been cleared up.
  * debian/scripts/Debian.m2
    - Cache new failing examples; all failing on s390x:
      + K3Surfaces::K3(String)
      + K3Surfaces::LatticePolarizedK3surface Sequence
      + K3Surfaces::project
      + SpecialFanoFourfolds::CongruenceOfCurves EmbeddedProjectiveVariety
      + SpecialFanoFourfolds::map(CongruenceOfCurves)
      + QuaternaryQuartics::Half canonical degree 20

 -- Doug Torrance <dtorrance@debian.org>  Tue, 30 Nov 2021 12:49:29 -0500

macaulay2 (1.19.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/skip-failing-core-tests.patch
    - Skip 000-core; it was renamed from core-tests, which we had been
      previously skipping.
  * debian/patches/skip-failing-package-tests.patch
    - Skip new failing package tests:
      + check(8, "K3Surfaces"); failing on i386 (Closes: #1000772).
      + check(9, "SpecialFanoFourfolds"); failing on armhf.
    - Update Bug metadata.
  * debian/scripts/Debian.m2
    - Cache Cremona::rationalMap(Ring,Tally); failing on s390x.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 29 Nov 2021 10:56:36 -0500

macaulay2 (1.19+ds-3) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests.patch
    - Skip new failing package tests:
      + check(7, "K3Surfaces"); failing on i386.
      + check(15, "MultiprojectiveVarieties"); failing on i386.
  * debian/rules
    - Ignore example errors on armhf.
  * debian/scripts/Debian.m2
    - Cache new failing examples:
      + BettiCharacters::Example 3; failing on armhf.
      + CharacteristicClasses::IndsOfSmooth; failing on s390x.
    - Load Macaulay2Doc first in generateExamples to avoid "global symbols
      inadvertently defined" error.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 24 Nov 2021 21:46:44 -0500

macaulay2 (1.19+ds-2) unstable; urgency=medium

  * debian/patches/skip-failing-core-tests.patch
    - Skip new failing Core tests:
      + methods; failing on mips64el (Closes: #1000348).
  * debian/patches/skip-failing-package-tests
    - Skip new failing package tests:
      + check(6, "K3Surfaces"); failing on i386.
      + check({4, 6, 7}, "SpecialFanoFourfolds"); failing on armhf.
      + check(14, "SpecialFanoFourfolds"); sometimes segfaults.
  * debian/rules
    - Ignore example errors on armel, riscv64, and s390x.
  * debian/scripts/Debian.m2
    - Cache new failing examples:
      + NoetherianOperators::gCorners; failing on armel.
      + NormalToricVarieties::isNef(ToricDivisor); failing on riscv64.
      + ReesAlgebra::PlaneCurveSingularties; failing on s390x
        (Closes: #1000350).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 23 Nov 2021 06:12:52 -0500

macaulay2 (1.19+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Add python3-dev to Build-Depends; needed for Python package.
    - Update Vcs-* fields (science-team -> math-team).
    - Add qepcad to Suggests; used by CoincidentRootLoci.
  * debian/copyright
    - Use leading spaces instead of tabs.
    - Add license information for new packages and Pygments lexer.
    - Update my copyright years for debian/*.
  * debian/examples
    - Update cached examples:
      + MultiprojectiveVarieties::EmbeddedProjectiveVariety ===>
        EmbeddedProjectiveVariety
      + SpecialFanoFourfolds::detectCongruence(SpecialGushelMukaiFourfold,
        ZZ)
  * debian/patches
    - Refresh for new release.
    - Remove patches applied upstream:
      + fix-visualize-firefox.patch
      + hardening.patch
      + reproducible-tvalues.patch
  * debian/patches/allow-older-factory.patch
    - New patch; upstream requires factory 4.2.0, which isn't in Debian
      yet.
  * debian/patches/git-description.patch
    - Update for new release.
  * debian/patches/skip-failing-core-tests.patch
    - Skip ComputationsBook::solving; failing on ppc64.
    - Actually skip CSM.test.
  * debian/patches/skip-failing-package-tests.patch
    - Skip new failing tests:
      + check(5, "FunctionFieldDesingularization")
      + check(11, "PrimaryDecomposition")
      + check({12, 13, 15}, "SpecialFanoFourfolds")
      + check(36, "TestIdeals")
    - Stop skipping check(4, "NumericalImplicitization"); now commented
      out upstream.
  * debian/patches/use-cached-examples.patch
    - Set UsedCachedExampleOutput for Tropical package so that cached
      examples are used; Tropical::tropicalCycle was failing on ppc64el.
  * debian/patches/use-shared-mathicgb-and-friends.patch
    - Link against memtailor/mathic/mathicgb as shared libraries
      again.
  * debian/README.Debian
    - Add qepcad to section on suggested packages.
  * debian/rules
    - Add --with-python option to configure.
  * debian/scripts/Debian.m2
    - Update code for generateExample to use new interface to
      captureExampleOutput.
    - Update generateExample so that it returns a boolean object (true
      if an example was generated and false otherwise.)
    - Update generateExamples so it returns the number of examples that
      were generated.
    - Deal with FastLinAlg -> FastMinors rename for cached
      regularInCodimension example.
    - Cache new failing examples:
      + FourTiTwo::toricGraverDegrees; illegal instruction.
      + Quasidegrees::exceptionalSet; sometimes segfaults.
      + RandomMonomialIdeal::VariableName; failing on ppc64el.
      + RationalMaps::inverseOfMap example; sometimes segfaults.
      + SpecialFanoFourfolds::grassmannianHull; sometimes segfaults.
      + SpecialFanoFourfolds::specialGushelMukaiFourfold(Array,Array,
        String,Thing); sometimes segfaults.
    - Add comment about Tropical::tropicalCycle.
  * debian/scripts/m2-get-orig-source.sh
    - Add -g option to commit version bump to git.
    - Add -m option to merge branch.
    - Add -R option to set remote.
  * debian/source/lintian-overrides
    - Add package-does-not-install-examples override for
      MonomialIntegerPrograms and Python packages..
    - Remove source-is-missing overrides; issues fixed upstream.
  * debian/watch
    - Update download URL (releases -> tags).

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 17 Nov 2021 18:04:51 -0500

macaulay2 (1.18+ds-5) unstable; urgency=medium

  * debian/patches/reproducible-version.patch
    - Rename from reproducible-config-args.patch.
    - Use dummy compile node name and kernel release for
      reproducibility.
  * debian/patches/skip-failing-core-tests.patch
    - Skip ComputationsBook::geometry; failing on ppc64.
    - Skip CSM.test; failing on mipsel.
  * debian/patches/skip-failing-package-tests.patch
    - Skip check(1, "Binomials"); sometimes segfaults.
  * debian/rules
    - Use cp's verbose option when copying cached examples to the build
      directory for improved debugging.
    - Move removal of cached examples from build directory until after
      dh_auto_install; otherwise we may try to install one of the affected
      packages again if another example failed and IgnoreExampleErrors was
      set to true.  In this case, we may have gotten an error since
      AuxiliaryFiles was true, but the auxiliary files had already been
      removed.
  * debian/scripts/Debian.m2
    - Use package version from d/changelog for Version.
    - Cache new failing examples:
      + MultiprojectiveVarieties::∏; failing on mips64el.
      + MultiprojectiveVarieties::segre(MultiprojectiveVariety); failing
        on mips64el.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 30 Sep 2021 13:02:53 -0400

macaulay2 (1.18+ds-4) unstable; urgency=medium

  * debian/patches/skip-failing-core-tests.patch
    - Skip isSubset test again; failing on mips64el.
  * debian/patches/skip-failing-package-tests.patch
    - Skip check(2, "MultiprojectiveVarieties"); failing on mipsel.
  * debian/rules
    - Update libxml2 bug number in comment for override_dh_auto_test-indep
      target.
  * debian/scripts/Debian.m2
    - New Macaulay2 package containing various helper functions for
      maintaining the Debian package; replaces copyright-helper.m2,
      generate-examples.m2, and skip-test.m2.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 22 Sep 2021 21:29:54 -0400

macaulay2 (1.18+ds-3) unstable; urgency=medium

  * debian/patches/skip-failing-package-tests.patch
    - Skip check(5, "MultiprojectiveVarieties"); failing on armhf.
  * debian/rules
    - Allow examples to fail on mipsel, mips64el, and ppc64el buildd
      machines without causing the entire build to fail.
  * debian/scripts/generate-examples.m2
    - Cache new failing examples:
      + HyperplaneArrangements::arrangement(String,PolynomialRing);
        failing on ppc64el.
      + SpectralSequences::pruningMaps(SpectralSequencePage), failing on
        mipsel and mips64el.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 16 Sep 2021 15:22:15 -0400

macaulay2 (1.18+ds-2) unstable; urgency=medium

  * debian/control
    - Move dh-elpa from Build-Depends to Build-Depends-Indep (as
      dh-sequence-elpa).
  * debian/patches/skip-failing-core-tests.patch
    - Skip ComputationsBook::constructions; failing on s390x.
  * debian/patches/skip-failing-package-tests.patch
    - Skip new failing tests:
      + check({1, 2, 3}, "CharacteristicClasses"); failing on armhf and
        s390x.
      + check(68, "EngineTests"); failing on armhf and s390x.
      + check(21, "IntegralClosure"); failing on armhf.
      + check(3, "MultiprojectiveVarieties"); failing on armhf.
      + check(4, "NumericalImplicitization"); failing with LAPACK 3.10.0.
      + check({0, 1, 2, 3, 5, 7, 8, 9, 10}, "SegreClasses"); failing on
        armhf and s390x.
      + check(3, "SparseResultants"); failing on armhf.
      + check({0, 8}, "SpecialFanoFourfolds"); failing on armhf.
  * debian/rules
    - Drop --with elpa, unnecessary now that dh-sequence-elpa is in
      Build-Depends-Indep.
    - New execute_before_dh_missing target; remove emacs files when not
      building elpa-macaulay2; otherwise dh_missing will fail.
    - Skip validate-html check pending libxml2 bug
  * debian/scripts/generate-examples.m2
    - Drop dir argument from generateExample; it will always be the debian
      directory.
    - Cache new failing examples:
      + Macaulay2Doc::MinimalGenerators; failing on s390x.
      + MixedMultiplicity::mixedVolume; failing on mipsel.
      + MultiprojectiveVarieties::image(MultirationalMap); failing on
        s390x.
      + SparseResultants::char(SparseResultant); failing on s390x
        (Closes: #993923).
  * debian/scripts/m2-get-orig-source.sh
    - Remove dch backup file if present before calling dch to update
      version number.
  * debian/scripts/skip-test.m2
    - New script; helper function for skipping tests
  * debian/source/lintian-overrides
    - Add overrides for source-is-missing false positives.
  * debian/tests/control
    - Clean up using wrap-and-sort.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 09 Sep 2021 05:36:24 -0400

macaulay2 (1.18+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control
    - Bump Standards-Version to 4.6.0.
  * debian/patches/skip-failing-package-tests.patch
    - Skip check(90, "EngineTests"); failing on mips64el.
  * debian/patches/use-cached-examples.m2
    - Add TestIdeals package; it was missing and so we weren't actually
      using the cached example.
  * debian/rules
    - Add VERSION variable; removes duplicate code.
  * debian/scripts/copyright-helper.m2
    - Improve regular expressions for matching author names.
    - Add reminder to confirm that a package's copyright information is
      correct.
  * debian/scripts/generate-examples.m2
    - Cache new failing examples, updating d/examples and
      d/patches/use-cached-examples accordingly:
      + Elimination::discriminant(RingElement,RingElement); failing on
        ppc64el.
      + Three SpectralSequences examples; failing on mipsel.
    - Raise error if a package hasn't been added to
      use-cached-examples.patch.
  * debian/scripts/m2-get-orig-source.sh
    - Use getopt for command line args
    - New --no-tarball option; only updates version number.
    - Add --help option.
    - Only update d/changelog if necessary.
    - Don't generate orig tarball if it already exists.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 20 Aug 2021 21:34:00 -0400

macaulay2 (1.18+ds-1~exp3) experimental; urgency=medium

  * debian/copyright
    - Add entries for packages that had previously been omitted.
      + NCAlgebraV2
      + SubalgebraBases
      + SuffixTrees
  * debian/patches/skip-failing-core-tests.patch
    - Skip plethysms test; failing on mipsel.
    - Stop schur-2 test a bit earlier; failing on armel and armhf.
  * debian/scripts/copyright-helper.m2
    - Improve regex for determining whether packages are actually listed in
      d/copyright.
    - Simplify missingPackages function; detect path to d/copyright instead
      of requiring the user to specify it.
    - Improve missingPackages function by searching for packages in the
      source directory (including undistributed packages) instead of just
      the ones listed in the version hash table.
  * debian/scripts/generate-examples.m2
    - Cache new failing examples, updating d/examples and
      d/patches/use-cached-examples accordingly:
      + PrimaryDecomposition::primaryDecomposition
      + M0nbar::writeCurveInSingletonSpineBasis
      + M0nbar::writeCurveInSingletonSpineBasis(ZZ,List)
    - Simplify generateExamples function; detect path to debian directory
      instead of requiring the user to specify it.
  * debian/tests/control
    - Remove polymake from Depends; not necessary for most tests and not
      available in armel.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 29 Jul 2021 07:50:46 -0400

macaulay2 (1.18+ds-1~exp2) experimental; urgency=medium

  * debian/gbp.conf
    - Set default debian-branch to debian/master.
  * debian/patches/hardening.patch
    - New patch; Don't override -fstack-protector-strong from dpkg-buildflags.
  * debian/patches/fix-visualize-firefox.patch
    - Switch from Forwarded to Applied-Upstream.
  * debian/patches/reproducible-tvalues.patch
    - New patch; sort files in d directory when making tvalues.m2.  Otherwise,
      tvalues.m2 is not reproducible.
  * debian/patches/skip-failing-core-tests.patch
    - Skip core-tests.m2.
  * debian/patches/skip-failing-package-tests.patch
    - Skip new failing tests:
      + check(8, "DiffAlg")
      + check(7, "MultiprojectiveVarieties")
      + check(3, "NumericalImplicitization")
      + check(8, "NumericalImplicitization")
      + check(0, "Topcom")
    - Add missing Bug field.
  * debian/salsa-ci.yml
    - Allow reprotest to fail in Salsa pipeline.
  * debian/scripts/generate-examples.m2
    - Cache new failing examples:
      + GraphicalModelsMLE::solverMLE(...,RealPrecision=>...)
      + MultiprojectiveVarieties::EmbeddedProjectiveVariety ===>
        EmbeddedProjectiveVariety
      + SimplicialDecomposability::isSheddingVertex
      + SpecialFanoFourfolds::toGrass(EmbeddedProjectiveVariety)
      + SRdeformations::complement(Complex)
    - Add generated examples to debian/examples.
    - Set AuxiliaryFiles and CacheExampleOutput options for affected packages
      in debian/patches/use-cached-examples.patch.
    - Don't reload package when generating examples unless necessary.  The
      Macaulay2Doc examples were really slowing down the script -- now we only
      need to wait for the first one.
    - Improve error handling; only raise an error if we have extra .out files.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 27 Jul 2021 10:43:17 -0400

macaulay2 (1.18+ds-1~exp1) experimental; urgency=medium

  * debian/control
    - Add libmpfi-dev and libtbb-dev to Build-Depends; needed for new
      features added upstream.
    - Remove imagemagick from Suggests; no longer required by the
      Graphs package as it now uses xdg-open to open generated images.
  * debian/copyright
    - Remove paragraph from Cygwin files that have been removed from
      source.
    - Add/update paragraphs for new/modified packages.
  * debian/examples
    - Add cached examples generated by d/scripts/generate-examples.m2.
  * debian/macaulay2-common.info
    - New file; use dh_installinfo to install info files instead of
      dh_install.  This way, we can more easily support builds with
      "nodoc" in DEB_BUILD_OPTIONS.
  * debian/macaulay2-common.lintian-overrides
    - Add package-contains-documentation-outside-usr-share-doc
      override for new file.
  * debian/patches
    - Refresh for new upstream release.
    - Remove patches applied or otherwise made unnecessary upstream.
      + dont-capture-check-core-32-bit.patch
      + dont-capture-diffalg-tests.patch
      + smaller-points-examples.patch
      + use-debian-applications.patch
  * debian/patches/fix-visualize-firefox.patch
    - New patch; fix Visualize package in Firefox (symlinks to assets
      weren't working).
  * debian/patches/remove-build-paths-from-docs
    - Remove patch; we now cache examples that were causing
      reproducibility issues.
  * debian/patches/skip-failing-{core,package}-tests
    - Stop skipping tests that have been fixed upstream and start
      skipping new tests that have caused build errors.
    - Better document which tests go with which upstream issues.
  * debian/patches/use-cached-examples.patch
    - New patch replacing use-canned-examples.patch.  Set affected
      packages to use cached examples that are generated by
      d/scripts/generate-examples.patch.
  * debian/README.md
    - Update descriptions of packages in Suggests.
  * debian/rules
    - Export MakeDocumentation variable to support builds with
      "nodoc" in DEB_BUILD_OPTIONS.
    - Set installation directory for Emacs files; previously this
      was done in use-dh-elpa.patch.
    - Move cached examples generated by d/scripts/generate-examples.m2
      into the build directory so that they may be properly installed
      and then clean up afterwards.
    - Use $(MAKE) instead of explicitly calling make.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/scripts/generate-examples.m2
    - New script; generate examples for the documentation for certain
      cases which have been known to cause build errors.  Previously,
      we used canned examples, but cached examples are treated just like
      standard examples that are generated during build.
  * debian/scripts/m2-get-orig-source.sh
    - Add support for version numbers containing "-rc".
    - Explicitly call GNU awk, as it is necessary for the script to run
      properly.
  * debian/source/lintian-overrides
    - Update package-does-not-install-examples overrides.
  * debian/watch
    - Add support for version numbers containing "-rc".
    - Use more general regular expression to find GitHub releases.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 07 Jul 2021 13:08:53 +0530

macaulay2 (1.17.1+ds-2) unstable; urgency=medium

  * debian/patches/dont-capture-check-core-32-bit.patch
    - New patch; don't use capture when running Core and Cremona tests
      on 32-bit architectures. Otherwise, we run out of memory.
  * debian/patches/dont-capture-diffalg-tests.patch
    - New patch; don't use "capture" for DiffAlg package tests.
  * debian/patches/skip-failing-package-tests.patch
    - Add core-tests.m2; contains a test with an alarm that isn't
      caught when running "check".
    - Skip another segfaulting MinimalPrimes test.
  * debian/patches/smaller-points-examples.patch
    - New patch; Remove examples showing less efficient algorithms
      from Points docs.
  * debian/patches/use-canned-examples.patch
    - Add example from TestIdeals package that has been known to
      segfault.
  * debian/rules
    - Exclude .m2 files from being gzipped by dh_compress. Otherwise,
      package tests may be compressed and won't be found by "check".
    - Only set VERBOSE variable if DEB_BUILD_OPTIONS doesn't include
      "terse".

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 24 Jan 2021 08:57:47 -0500

macaulay2 (1.17.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean
    - Add autogenerated file debian/macaulay2-pkg.el.
  * debian/control
    - Add packages to Recommends.
      + info: info is used by "infoHelp" function.
      + texlive-latex-base: latex is used by "showTex" function.
      + xdg-utils: xdg-open is used by "show" function.
      + xterm: xterm is used by "edit" function.
    - Add packages to Suggests.
      + fig2dev: Used by gfanInterface package.
      + dot2tex/graphviz/imagemagick: Used by Graphs package.
      + pdf-viewer: Used by Posets package.
    - Switch from node-jquery to libjs-jquery (versioned, to ensure
      that the minified jQuery source is not a symbolic link) in
      Build-Depends-Indep.
  * debian/copyright
    - Various updates for new release.
  * debian/elpa-macaulay2.{docs,elpa}
    - Update paths to Emacs-related files files.
  * debian/macaulay2-common.linktrees
    - Update path the minified jQuery source needed by Visualize package.
      Previously, it was shipped in the node-jquery package, but was
      moved to libjs-jquery in version 3.5.1+dfsg+~3.5.5-4.
  * debian/patches
    - Refresh for new release.
    - Previous skip-*-{example,test}.patch's have been combined into
      three patches for simplicity:
      + used-canned-examples.patch: Canned versions of examples that
        have been known to fail.
      + skip-failing-core-tests.patch: Tests in M2/Macaulay2/tests that
        have been known to fail.
      + skip-package-tests.patch: Package tests that have been known
        to fail.  We also use the new "-* no-check-flag *-" feature
        to skip these tests rather than patching them out entirely.
  * debian/patches/git-description.patch
    - New patch; provide version#"git description".
  * debian/patches/use-debian-applications.patch
    - New patch; tell gfanInterface package where to find fig2dev and
      Posets package to use xdg-open to view pdf files.
  * debian/patches/use-dh-elpa.patch
    - New patch; modifications to work with dh_elpa.
  * debian/README.Debian
    - Remove section on orig tarballs; they are no longer generated on
      Salsa.
    - Add section discussing packages listed in Suggests.
  * debian/rules
    - Add execute_after_dh_install-arch target to remove empty directory.
    - Simplify debian/macaulay2-pkg.el rule.
    - Add get-orig-source target.
  * debian/scripts/copyright-helper.m2
    - Move file into new debian/scripts directory.
  * debian/scripts/m2-get-orig-source.sh
    - New script to generate orig tarballs.
  * debian/scripts/m2-tarball-warning.sh
    - New script to display a warning if using uscan to generate a
      tarball.
  * debian/tests/control
    - Add messages before each stage of testing.
    - Add "M2 --check 2" for testing Core package.
  * debian/watch
    - Upstream has begun tagging stable releases, so we switch to
      GitHub for the link.  However, uscan should only be used
      to check for new releases, as the tarballs it generates will
      be missing the files from the M2-emacs submodule.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 16 Jan 2021 18:14:58 -0500

macaulay2 (1.16.99+git40.3a512e5+ds-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * debian/control
    - Add packages to Build-Depends.
      + dh-linktree: We now use this debhelper addon to create symbolic
        links to Debian copies of GPL licenses and various Javascript
        libraries instead of patching the files directly to point to
        them.
      + libboost-regex-dev: Replaces embedded copy of GNU regex library
        used in previous releases.
      + libboost-stacktrace-dev: Improves readability of stack traces.
    - Add Build-Depends-Indep.
      + jdupes: Moved from Build-Depends; only needed for building
        documentation.
      + Various fonts and Javascript libraries; needed during build
        by dh_linktree.
      + w3c-markup-validator: Used to validate html in documentation.
    - Bump Standards-Version to 4.5.1.
    - Remove Javascript libraries from Recommends.  They will now be
      pulled in by ${misc:Depends} thanks to dh_linktree.
    - Add emacs to Recommends for elpa-macaulay2.
  * debian/copyright
    - Add KaTeX files to Files-Excluded.
    - Add paragraph for KaTeX files.
    - Remove paragraph for embedded GNU regex library.
    - Add licensing information for new packages added since previous
      release.
  * debian/copyright-helper.m2
    - New Macaulay2 script to help generate debian/copyright paragraphs
      for new packages.
  * debian/macaulay2-common.linktrees
    - New file; tell dh_linktree where Debian copies of GPL licenses
      and Javascript libraries are located.
  * debian/macaulay2-common.lintian-overrides
    - Update package-contains-documentation-outside-usr-share-doc
      overrides for files that have changed since previous release.
  * debian/missing-source/render-a11y-string.js
    - Add source for minified KaTeX file that isn't in Debian yet.
  * debian/patches
    - Remove patches applied (or otherwise made unnecessary) upstream.
      + fix-*.patch
      + hardening.patch
      + remove-build-paths-from-cached-files.patch
      + remove-build-paths-from-docs.patch (Patch remains, but only
        increases the default print width of examples.)
      + use-debian-{4ti2,cohomcalg,csdp,gfan,nauty,normaliz,topcom}.patch
    - Refresh remaining patches for new upstream version.
  * debian/patches/skip-computations-book-test.patch
    - Rename from fix-computations-book-test.patch; the behavior of the
      test is too unpredictable between different architectures, so
      we skip it entirely instead of trying to fix it.
  * debian/patches/skip-*-{example,test}.patch
    - Skip some additional examples and tests that have been known
      to fail on various architectures.
  * debian/patches/use-debian-{gpl,javascript}.patch
    - Remove patches; we use dh_linktree for the same purpose instead.
  * debian/README.Debian
    - Add information about KaTeX to "Javascript libraries" section.
    - Add section on using dwww to view the Macaulay2 documentation.
  * debian/rules
    - Use dh_linktree addon.
    - New execute_before_dh_auto_build target; touch KaTeX files to
      prevent html-check-links test from failing.
    - Drop check for "nocheck" in DEB_BUILD_OPTIONS from
      override_dh_auto_test rule; not necessary in debhelper 13.
      We also append "-arch" to this target.
    - New override_dh_auto_test-indep rule to validate html docs.
    - Switch override_dh_link target that calls jdupes to
      execute_before_dh_link-indep target.
    - Switch override_dh_elpa target that generates -pkg.el file
      to execute_before_dh_elpa target.
  * debian/tests/check.m2
    - Remove file; no longer needed.
  * debian/tests/control
    - Use upstream's updated --check command line argument to run
      continuous integration tests.
  * debian/upstream/metadata
    - Add recent NSF grants to Funding.
    - Add new Macaulay2Web interface to Webservice.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 26 Dec 2020 00:29:42 -0500

macaulay2 (1.16+git55.94c4b7d+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 04 Nov 2020 20:54:18 -0500

macaulay2 (1.16+git55.94c4b7d+ds-2~exp1) experimental; urgency=medium

  * Source-only upload for migration to testing.
  * debian/control
    - Add libmps-dev to Build-Depends.
    - Add lsb-release to Build-Depends so configure can detect the
      Debian release.
    - Fix URL in VCS-* fields.
  * debian/elpa-test
    - Disable dh_elpa_test so it doesn't override dh_auto_test.
  * debian/patches/skip-mpsolve-for-now.patch
    - Remove patch; mpsolve is now in Debian.
  * debian/patches/{fix,skip}-*-{example,test}.patch:
    - New patches; fix or skip examples or tests causing build
      failures on various architectures.
  * debian/README.Debian
    - Remove section on 'roots' function.  It is now available since
      mpsolve is in Debian.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 04 Nov 2020 20:54:18 -0500

macaulay2 (1.16+git55.94c4b7d+ds-1) unstable; urgency=low

  * Initial release (Closes: #439888).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 04 Oct 2020 16:31:20 -0400
